
Name:          uncommons-antlib
Version:       0.3.1
Release:       %mkrel 2
Summary:       Tools for building modular software with Apache Ant
Group:         Development/Java
License:       ASL 2.0
Url:           http://wiki.github.com/dwdyer/uncommons-antlib
# mkdir -p uncommons-antlib-0.3.1
# git clone git://github.com/dwdyer/uncommons-antlib.git
# cd uncommons-antlib
# git archive Release-0.3.1 | tar -x -C ../uncommons-antlib-0.3.1
# cd ..
# tar czf uncommons-antlib-0.3.1-src-git.tar.gz uncommons-antlib-0.3.1
Source0:       uncommons-antlib-0.3.1-src-git.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: ant
#BuildRequires: cobertura
BuildRequires: fop0
#BuildRequires: jakarta-oro
#BuildRequires: liblog4j-java
#BuildRequires: maven-ant-tasks
#BuildRequires: objectweb-asm
#BuildRequires: proguard
#BuildRequires: reportng
#BuildRequires: saxon
#BuildRequires: testng
#BuildRequires: xslthl
#BuildRequires: velocity

Requires:      fop0
#Requires:      reportng cicular deps
Requires:      saxon
Requires:      testng
#Requires:      xslthl

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The Uncommons Antlib provides macro definitions, custom tasks and other tools
to support the development of modular Java software using Apache Ant.  It
builds on the concepts, processes and best practices established in the
development of several Ant-based projects, particularly the Uncommons.org
open source projects.

The guiding principle behind the design of the Uncommons Antlib is convention
over configuration. Ant build scripts are greatly simplified by relying on
consistent directory structures and naming conventions.

%prep
%setup -q
find . -iname '*.jar' -delete
find . -iname '*.class' -delete

sed -i 's|<attribute name="Class-Path" value="docbook/fop.jar docbook/saxon.jar docbook/xslthl-2.0.1.jar testng/testng-5.10-jdk15.jar testng/reportng-1.0.jar"/>||' build.xml

%build

export CLASSPATH=$(build-classpath fop0)
ant jar

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir} %{buildroot}%{_datadir}/ant/lib
install -pm 644 build/uncommons-antlib-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
ln -sf ../../java/%{name}.jar %{buildroot}%{_datadir}/ant/lib/%{name}.jar

%files
%{_javadir}/%{name}.jar
%{_datadir}/ant/lib/%{name}.jar


%changelog

* Sat Nov 05 2011 dmorgan <dmorgan> 0.3.1-2.mga2
+ Revision: 163012
- Remove absent require

* Sat Nov 05 2011 gil <gil> 0.3.1-1.mga2
+ Revision: 163005
- imported package uncommons-antlib

